
Foreman - Bug #15349

undefined method in foreman_dhcp_browser 0.0.7

06/08/2016 11:00 AM - Dennis Benndorf

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We use Foreman 1.11.2 and foreman_dhcp_browser 0.0.7 and get an error message when opening the dhcp browser:

undefined method `sort' for nil:NilClass

 You`ll find the proxy.log attached.

Best regards,

Dennis

History

#1 - 06/09/2016 03:22 AM - Dominic Cleal

- Status changed from New to Need more information

Which URL exactly are you viewing when you get the error?

I think you might be accessing the smart proxy on port 8443 with your browser causing the bug, not using the foreman_dhcp_browser plugin (which

IIRC adds links under Infrastructure > Smart Proxies in the UI).

The web browser support for the smart proxy has been removed in 1.12 as it was buggy and unsupported.

#2 - 06/09/2016 03:51 AM - Dennis Benndorf

Yes I was accessing through http://puppetserver:8443/dhcp.

I didnt notice that this feature was moved into smart proxy tabs.

Thanks for pointing me this. This can be closed now.

Regards,

Dennis

#3 - 06/09/2016 04:05 AM - Dominic Cleal

- Tracker changed from Bug to Support

Thanks for confirming!

#4 - 06/09/2016 04:05 AM - Dominic Cleal

- Tracker changed from Support to Bug

- Status changed from Need more information to Resolved

Files
